Subject: Re: bug#38592: 27.0.50; org mode insinuates itself into calendar

From: Bastien <[email-masked]>
Date: Mon, 17 Feb 2020 14:54:20 +0100

Hi Sam,

Sam Steingold <[email-masked]> writes:

> emacs -Q -f package-initialize --eval "(require 'ob)" --eval "(and
> (cl-assert (featurep 'ob)) (cl-assert (not (featurep 'org))))" --eval
> "(call-interactively 'calendar)"

OK, I understand now, thanks for the reproducible recipe.

> How about, minimally:

I added another fix (in Org's maint branch, the one that will be
released soon and sync with Emacs): requiring 'org-agenda whenever
both org-compat.el and calendar are loaded.

Thanks for reporting this, I'll close the bug when upstream Org is
merged into Emacs and you can confirm the fix.

Best,

-- 
 Bastien